package com.koobietech.eas.dao.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lc
 */
@Data
public class EasArcTlsAttendancePojo implements Serializable {

    @Excel(name = "签到日期" , exportFormat="yyyy年MM月dd日")
    private Date checkinDate;

    @Excel(name = "学员档案号")
    private String studentNumber;

    @Excel(name = "学员ID号")
    private String studentId;

    @Excel(name = "排课ID")
    private int scheduleId;

    //a表示正常出勤, b表示迟到、早退, c表示旷课, d表示请假, e表示无效
    @Excel(name = "上午出勤状态", replace = { "正常出勤_a", "迟到、早退_b" }, width = 10)
    private String morning;

    //a表示正常出勤,   b表示迟到、早退, c 表示旷课, d 表示请假, e表示无效"
    @Excel(name = "下午出勤状态", replace = { "正常出勤_a", "迟到、早退_b" }, width = 10)
    private String afternoon;

    @Excel(name = "学员姓名")
    private String studentName;

    @Excel(name = "类别" )
    private String category;

    @Excel(name = "科目" )
    private String subject;

    @Excel(name = "创建时间" , exportFormat="yyyy年MM月dd日HH时mm分ss秒")
    private Date createTime;

    private Long id;

    @Schema(description = "月份")
    private Integer month;

    @Schema(description = "创建用户")
    private Integer createUid;

    @Schema(description = "修改时间")
    private Date modifyTime;

    @Excel(name = "起始时间" , exportFormat="yyyy年MM月dd日HH时mm分ss秒")
    private Date startTime;

    @Excel(name = "结束时间" , exportFormat="yyyy年MM月dd日HH时mm分ss秒")
    private Date endTime;


    private static final long serialVersionUID = 1L;

}